<template>
    <div v-if="loading" class="text-center">
        <h4 >Loading...</h4>
    </div>
    <div v-else>
        <div>
            <div class="row">
                <div class="col-md-9 col-lg-6">
                    <form
                        class="form-horizontal"
                        action="#"
                        method="post"
                    >
                        <div class="form-group" :class="showError('name')">
                            <label for="name" class="col-sm-2 control-label">Name</label>
                            <div class="col-sm-10">
                                <input
                                    type="text"
                                    name="name"
                                    class="form-control"
                                    id="name"
                                    placeholder="Name"
                                    v-validate="{ required: true , regex: /^(\w).*?(\w)$/ }"
                                    v-model="formData.name"
                                >
                                <span v-show="errors.has('name')" class="help-block">
                                    {{ errors.first('name') }}
                                </span>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="inputName" class="col-sm-2 control-label">Status</label>
                            <div class="col-sm-3">
                                <select
                                    class="form-control select2"
                                    v-model="formData.status"
                                >
                                <!-- <option v-for="(item) in options" :value="item.id" :key="item.id">{{ item.text }}</option> -->
                                </select>
                            </div>
                        </div>
                        <div class="form-group" >
                            <label for="email" class="col-sm-2 control-label">Email</label>
                            <div class="col-sm-10">
                                <input
                                    type="text"
                                    name="email"
                                    class="form-control"
                                    id="email"
                                    placeholder="Email"
                                    v-model="formData.email"
                                >
                                <!-- <span v-show="errors.has('email')" class="help-block">
                                    {{ errors.first('email') }}
                                </span> -->
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="phone" class="col-sm-2 control-label">Phone</label>

                            <div class="col-sm-10">
                                <input
                                    type="text"
                                    class="form-control"
                                    id="phone"
                                    name="phone"
                                    placeholder="Phone"
                                    v-model="formData.phone"
                                >
                                 <!-- placeholder="+1-999-999-999"
                                    data-inputmask="'mask': '+1-999-999-999'"
                                    data-mask -->
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="address" class="col-sm-2 control-label">Address</label>

                            <div class="col-sm-10">
                                <input
                                    type="text"
                                    class="form-control"
                                    id="address"
                                    name="address"
                                    placeholder="Address"
                                    v-model="formData.address"
                                >
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-offset-2 col-sm-10">
                                <button type="button" @click="validateForm" class="btn btn-danger">Save</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</template>

<script src='./Edition.js'></script>
